<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: src/ge.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ge.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="ge_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef _GE_H_</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">  #define _GE_H_</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_mapper_8h.html">Mapper.h</a>&quot;</span>   </div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_genotype_8h.html">Genotype.h</a>&quot;</span> </div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_phenotype_8h.html">Phenotype.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    <span class="comment">// &quot;Grammar.h&quot; -&gt; abstract class</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_rule_8h.html">Rule.h</a>&quot;</span>   </div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_symbol_8h.html">Symbol.h</a>&quot;</span> </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_production_8h.html">Production.h</a>&quot;</span> </div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_c_f_grammar_8h.html">CFGrammar.h</a>&quot;</span>  </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_a_g_derivation_tree_8h.html">AGDerivationTree.h</a>&quot;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_tree_8h.html">Tree.h</a>&quot;</span>   </div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_g_e_grammar_8h.html">GEGrammar.h</a>&quot;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_g_e_grammar_s_i_8h.html">GEGrammarSI.h</a>&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_initialiser_8h.html">Initialiser.h</a>&quot;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">  #include &quot;<a class="code" href="_a_g_symbol_8h.html">AGSymbol.h</a>&quot;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_generic_a_g_symbol_8h.html">GenericAGSymbol.h</a>&quot;</span>  </div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">  #include &quot;<a class="code" href="_a_g_look_up_8h.html">AGLookUp.h</a>&quot;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">  #include &quot;<a class="code" href="_a_g_context_8h.html">AGContext.h</a>&quot;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  <span class="comment">// added to move these files from /EXAMPLES to /src </span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_g_e_list_genome_8h.html">GEListGenome.h</a>&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_init_func_8h.html">InitFunc.h</a>&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="comment">//#ifdef GALIB_INCLUDEPATH</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="comment">//  #include &quot;GE_MITGALIB.h&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="comment">//#endif</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">// include illigal ga</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#ifdef GE_ILLIGALSGA</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html">GE_ILLIGALSGA.h</a>&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_phenotype_8h_html"><div class="ttname"><a href="_phenotype_8h.html">Phenotype.h</a></div></div>
<div class="ttc" id="a_g_e_grammar_s_i_8h_html"><div class="ttname"><a href="_g_e_grammar_s_i_8h.html">GEGrammarSI.h</a></div></div>
<div class="ttc" id="a_g_e_grammar_8h_html"><div class="ttname"><a href="_g_e_grammar_8h.html">GEGrammar.h</a></div></div>
<div class="ttc" id="a_a_g_symbol_8h_html"><div class="ttname"><a href="_a_g_symbol_8h.html">AGSymbol.h</a></div></div>
<div class="ttc" id="a_a_g_derivation_tree_8h_html"><div class="ttname"><a href="_a_g_derivation_tree_8h.html">AGDerivationTree.h</a></div></div>
<div class="ttc" id="a_genotype_8h_html"><div class="ttname"><a href="_genotype_8h.html">Genotype.h</a></div></div>
<div class="ttc" id="a_a_g_look_up_8h_html"><div class="ttname"><a href="_a_g_look_up_8h.html">AGLookUp.h</a></div></div>
<div class="ttc" id="a_c_f_grammar_8h_html"><div class="ttname"><a href="_c_f_grammar_8h.html">CFGrammar.h</a></div></div>
<div class="ttc" id="a_generic_a_g_symbol_8h_html"><div class="ttname"><a href="_generic_a_g_symbol_8h.html">GenericAGSymbol.h</a></div></div>
<div class="ttc" id="a_g_e___i_l_l_i_g_a_l_s_g_a_8h_html"><div class="ttname"><a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html">GE_ILLIGALSGA.h</a></div></div>
<div class="ttc" id="a_mapper_8h_html"><div class="ttname"><a href="_mapper_8h.html">Mapper.h</a></div></div>
<div class="ttc" id="a_g_e_list_genome_8h_html"><div class="ttname"><a href="_g_e_list_genome_8h.html">GEListGenome.h</a></div></div>
<div class="ttc" id="a_a_g_context_8h_html"><div class="ttname"><a href="_a_g_context_8h.html">AGContext.h</a></div></div>
<div class="ttc" id="a_init_func_8h_html"><div class="ttname"><a href="_init_func_8h.html">InitFunc.h</a></div></div>
<div class="ttc" id="a_rule_8h_html"><div class="ttname"><a href="_rule_8h.html">Rule.h</a></div></div>
<div class="ttc" id="a_initialiser_8h_html"><div class="ttname"><a href="_initialiser_8h.html">Initialiser.h</a></div></div>
<div class="ttc" id="a_tree_8h_html"><div class="ttname"><a href="_tree_8h.html">Tree.h</a></div></div>
<div class="ttc" id="a_production_8h_html"><div class="ttname"><a href="_production_8h.html">Production.h</a></div></div>
<div class="ttc" id="a_symbol_8h_html"><div class="ttname"><a href="_symbol_8h.html">Symbol.h</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
